use TSQL;
GO

if object_id('TestSeq1') is not null
	drop table dbo.TestSeq1;

Go

if object_id('TestSeq2') is not null
	drop table dbo.TestSeq2;

Go

if object_id('S1') is not null
	drop sequence dbo.S1;

Go

if object_id('Programadores') is not null
	drop table dbo.Programadores;

Go

if object_id('CheckMetaDataResultIdProgramadores') is not null
	drop proc dbo.CheckMetaDataResultIdProgramadores;

Go






-- Criar uma tabela
create table dbo.Programadores
( id smallint identity not null,
  nome varchar(50) not null,
  salario money not null,
  Primary Key Clustered (id) 
);

GO


INSERT INTO [dbo].[Programadores]
           ([nome]
           ,[salario])
    VALUES
           ( 'Joo Pestana'
           , 750.0 );

GO


INSERT INTO [dbo].[Programadores]
           ([nome]
           ,[salario])
    VALUES
           ( 'Mestre Andr'
           , 750.0 ),
		   ( 'Wild Bill'
           , 550.0 ),
		   ( 'Billy the Kid'
           , 450.0 ),
		   ( 'Hugo'
           , 500.0 ),
		   ( 'Jake Vegetariano'
           , 900.0 );

INSERT INTO [dbo].[Programadores]
           ([nome]
           ,[salario])
    VALUES
		   ( 'Empregado Ainda'
           , 270.05 ),
		   ( 'Novo Supersumo'
           , 333.36 ),
		   ( 'Arqui Velho'
           , 1250.51 ),
		   ( 'Mister Anderson'
           , 777.77 ),
		   ( 'Mike Tyson'
           , 999.99 );


select * from dbo.Programadores;



GO
create PROCEDURE dbo.CheckMetaDataResultIdProgramadores
	( @id int )
AS
BEGIN
	SET NOCOUNT ON;

    SELECT *
		from dbo.Programadores
		where ID = @id;
END
GO
