use TSQL;

--drop table dbo.TestSeq1;
--drop table dbo.TestSeq2;
--drop sequence dbo.S1;
/*
*/

-- Uma sequencia simples
CREATE SEQUENCE dbo.S1
	as smallint 
	start with 50 INCREMENT BY 1;














-- Exemplo de Utilizao:
select 
	NEXT VALUE FOR dbo.S1;
















-- Restart
alter sequence dbo.S1 
	RESTART WITH 51;

select 
	NEXT VALUE FOR dbo.S1;









-- Introduzimos um ciclo
alter sequence dbo.S1 
	RESTART WITH 50
	INCREMENT BY 1
	MINVALUE 50
	MAXVALUE 60
	CYCLE;


select 
	NEXT VALUE FOR dbo.S1;











-- Retiramos o ciclo e criamos CACHE
alter sequence dbo.S1 
	INCREMENT BY 1
	MINVALUE 50
	NO MAXVALUE
	NO CYCLE
	CACHE 50;


select 
	NEXT VALUE FOR dbo.S1;









-- Sys.Sequences, current_value
select *
	from sys.sequences;










-- O Valor da sequncia  mesmo pela invocao
select next value for dbo.S1,
	next value for dbo.S1;









-- Exemplo de utilizao com ORDER BY
select NEXT VALUE FOR dbo.S1 OVER (ORDER BY ID DESC)
	from dbo.Programadores
	ORDER BY ID DESC;








