use TSQL;


/******** PAGING **********/
/**** MySQL Limit 4, 4 ***/

-- Listar Contedo completo
select * from dbo.Programadores;
















-- Exemplo de Offset
select id, nome, salario from dbo.Programadores
	order by id
	OFFSET 4 ROWS;
















-- Paginao, com prova do Offset
select *, ROW_NUMBER() OVER (ORDER BY nome)
	from dbo.Programadores
	order by id
	OFFSET 4 ROWS
	FETCH NEXT 2 ROWS ONLY;













-- Paginao a antiga
;WITH results AS (
    SELECT 
        rowNo = ROW_NUMBER() OVER( ORDER BY id ASC )
        , nome, salario
    FROM dbo.Programadores 
) 
SELECT * 
FROM results
WHERE rowNo between (2-1)*4+1 and 2*4







-- Paginao com variveis
declare @pageSize smallint = 4;
declare @currentPage smallint = 1;


select * from dbo.Programadores
	order by id
	OFFSET (@pageSize * (@currentPage - 1)) ROWS
	FETCH NEXT @pageSize ROWS ONLY;