use TSQL;

-- Exemplo simples
-- ( Texto, SEVERITY_LEVEL, WHO_IS_RISING )
Raiserror( 'Erro Simples', 10, 1 );
select * from dbo.Programadores;

-- Erro do nvel 19 - muito grave !!!
-- Erros a partir do nvel 19 exigem privilgios de sysadmin
Raiserror( 'Erro Super Mega Grave', 20, 1 ) WITH LOG;
select * from dbo.Programadores;


















-- Exemplo de Throw
THROW 50000, 'Um grande erro, meo', 1;
select * from dbo.Programadores;

















-- Exemplo complexo de THROW e RETHROW
BEGIN TRY 
	BEGIN TRAN TestTransaction;
		THROW 50000, 'Um grande erro, meu', 1;
		--Raiserror( 'Erro Simples', 16, 1 );
		update dbo.Programadores set Nome = 'Errado';
	COMMIT TRAN;
	select * from dbo.Programadores;
END TRY
BEGIN CATCH
	PRINT 'Fazer alguma coisa, como o ROLLBACK';
	ROLLBACK;
	THROW;
END CATCH


